%define upstream_name    TAP-DOM
%define upstream_version 1.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Accessors for TAP::DOM summary part
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Class::XSAccessor) >= 1.50.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(TAP::Parser::Aggregator)
BuildRequires: perl(Test::Harness) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The purpose of this module is A) to define a *reliable* data structure and
B) to help create this structure from TAP.

That is useful when you want to analyze the TAP in detail with "data
exploration tools", like Data::DPath.

``Reliable'' means that this structure is kind of an API that will not
change, so your data tools can, well, rely on it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.0.0-1.mga10
+ Revision: 2141688
- update to 1.000

* Sat Oct 05 2024 tv <tv> 0.990.0-1.mga10
+ Revision: 2103438
- update to 0.99

* Tue Aug 29 2023 tv <tv> 0.980.0-1.mga10
+ Revision: 1981022
- update to 0.98

* Wed Jun 22 2022 tv <tv> 0.970.0-1.mga9
+ Revision: 1865452
- update to 0.97

* Wed Jun 15 2022 tv <tv> 0.950.0-1.mga9
+ Revision: 1864494
- update to 0.95

* Mon Mar 21 2022 umeabot <umeabot> 0.930.0-2.mga9
+ Revision: 1814575
- Mageia 9 Mass Rebuild

* Tue Jun 08 2021 tv <tv> 0.930.0-1.mga9
+ Revision: 1730126
- update to 0.93

* Tue Nov 10 2020 tv <tv> 0.920.0-1.mga8
+ Revision: 1644198
- update to 0.92

* Thu Jul 02 2020 tv <tv> 0.910.0-1.mga8
+ Revision: 1601339
- update to 0.91

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-3.mga8
+ Revision: 1506213
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1286230
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 sander85 <sander85> 0.140.0-1.mga7
+ Revision: 1133353
- update to 0.14

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-2.mga6
+ Revision: 1033640
- Rebuild for perl 5.22.2

* Thu Mar 10 2016 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 988816
- update to 0.13

* Fri Feb 19 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 970036
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 884814
- update to 0.12

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 787826
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 743381
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.110.0-1.mga5
+ Revision: 603735
- update to 0.11

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 514817
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 373007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.100.0-1.mga3
+ Revision: 310432
- imported package perl-TAP-DOM

